/// <reference types="react" />
import IBasePro from "./0form/abase";
/**
 * 属性返回值
 */
interface IPropertyComponent {
    component: React.ComponentType<any>;
    property: IBasePro;
}
/**
 * 转换
 */
interface ITranslate {
    /**
     *
     * @param property 父组件传递的props
     */
    tranlate(property: any): IPropertyComponent;
}
declare abstract class ABaseTranlstate {
    setTips(property: any): IBasePro;
}
declare class PropertyComponent implements IPropertyComponent {
    component: React.ComponentType<any>;
    property: IBasePro;
    constructor(component: React.ComponentType<any>, property: IBasePro);
}
export default PropertyComponent;
export { ABaseTranlstate };
export type { IPropertyComponent, ITranslate };
